HttpResponse::redirect
HttpResponse::setBufferSize
The HttpResponse
PHP Manual

# HttpResponse::send

(PECL pecl_http:0.10.0-1.5.5)

HttpResponse::send — Send response

### Description

static bool HttpResponse::send ([ bool `$clean_ob = TRUE` ] )

Finally send the entity.

A successful caching attempt will exit PHP, and write a log entry if the INI setting http.log.cache is set. See the INI setting http.force_exit for what "exits" means.

### Parameters

`clean_ob`

  whether to destroy all previously started output handlers and their buffers

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 A HttpResponse::send() example

`<?php
HttpResponse::setCache(true);
HttpResponse::setContentType('application/pdf');
HttpResponse::setContentDisposition("$user.pdf", false);
HttpResponse::setFile('sheet.pdf');
HttpResponse::send();
?>`

### See Also

- HttpResponse::capture

HttpResponse::redirect
HttpResponse::setBufferSize
The HttpResponse
PHP Manual